<?php
/*
Plugin Name: DH Admin Themes
Plugin URI: http://dhive.jp/dhwp-plugins/
Description: The DH Admin Themes, WP3.x.x add a theme for the dashboard. You can customize the theme based on the provided sample.
Author: DREAMHIVE / mkoba
Version: 0.5.4
Author URI: http://www.dreamhive.co.jp/
Text Domain: dh-admin-themes
Domain Path: /languages
*/

/*
	Copyright(c) 2011 DREAMHIVE CO., LTD. All Rights Reserved.

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


if(class_exists('DHAdminThemes')) {
	$dhat = & new DHAdminThemes();
	add_action('admin_init',array(&$dhat,'add_admin_color_schemes'),100);
}

class DHAdminThemes {
	var $COLOR_INI;
	var $TEXT_DOMAIN;
	
	function DHAdminThemes() {
		$this->COLOR_INI = 'colors_define.ini';
		$this->TEXT_DOMAIN = 'dh-admin-themes';
		
		$mo_dir = implode(DIRECTORY_SEPARATOR, array(dirname(plugin_basename(__FILE__)), 'languages'));
		load_plugin_textdomain($this->TEXT_DOMAIN, false, $mo_dir);
	}
	
	function add_admin_color_schemes() {
		$plugin_dir = dirname(plugin_dir_path(__FILE__).'./');
		if ($dh = opendir($plugin_dir)) {
			while ($entry = readdir($dh)) {
				if ($entry == "." || $entry == "..") continue;
				$ini_path = implode(DIRECTORY_SEPARATOR, array($plugin_dir, $entry, $this->COLOR_INI));
				if (is_dir($plugin_dir.DIRECTORY_SEPARATOR.$entry) && file_exists($ini_path)) {
					$ini_data = parse_ini_file($ini_path);
					wp_admin_css_color(
						$ini_data['name'],
						$ini_data['disp'],
						implode(DIRECTORY_SEPARATOR, array(plugins_url('', $ini_path ), 'colors-'.$ini_data['name'].'.css')),
						array($ini_data['coloer1'], $ini_data['coloer2'], $ini_data['coloer3'], $ini_data['coloer4'])
					);
				}
			}
			closedir($dh);
		}
		return;
	}

}




?>
